

import Vue from 'vue'
import Router from 'vue-router'

import store from '../store'

import Course from '@/views/Course.vue'//课程
import MyCollection from '@/components/MyCollection.vue'//收藏
import signIn from '@/components/signIn.vue'//打卡
import ClassInfo from '@/components/ClassInfo.vue'//课堂详情
import StrongPhoto from '@/views/StrongPhoto.vue'//精彩集锦
import UserCenter from '@/views/UserCenter.vue'//我的页面
import Questionnaire from '@/components/Questionnaire.vue'
import SetUser from '@/components/userPages/SetUser.vue'//修改个人信息
// // import Login from '../Login.vue'


Vue.use(Router)



const router = new Router({
  routes: [


    //培训通知
    {
      path: '/',
      name: 'Course',
      component: Course,
      meta: {
        requireAuth: true //是否登陆
      }


    },
    //精彩集锦
    {
      path: '/StrongPhoto',
      name: 'StrongPhoto',
      component: StrongPhoto,
      meta: {
        requireAuth: true //是否登陆
      }

    },
    //个人中心
    {
      path: '/UserCenter',
      name: 'UserCenter',
      component: UserCenter,
      meta: {
        requireAuth: false //是否登陆
      }
    },

    // 修改个人信息
    {
      path: '/SetUser',
      name: 'SetUser',
      component: SetUser,
      meta: {
        requireAuth: true //是否登陆
      }
    },
    //问卷页面
    {
      path: '/Questionnaire',
      name: 'Questionnaire',
      component: Questionnaire,
      meta: {
        requireAuth: true //是否登陆
      }
    },
    //打卡页面
    {
      path: '/signIn',
      name: 'signIn',
      component: signIn,
      meta: {
        requireAuth: true //是否登陆
      }
    },
    //课程详情页面
    {
      path: '/ClassInfo',
      name: 'ClassInfo',
      component: ClassInfo,
      meta: {
        requireAuth: true,//是否登陆
        showBottomTabBar: true
      }
    },
    //收藏
    {
      path: '/MyCollection',
      name: 'MyCollection',
      component: MyCollection,

    },


  ]

})
router.beforeEach((to, from, next) => {
  const { personId } = store.state.user


  console.log('-----person.personId---->', personId)

  // 未登录
  if (!personId) {
    console.log(2222222);
  } else {
    console.log('登陆了');
  }

  next()
})



export default router;